Commit 0834ea2b authored by Frederic Peters's avatar Frederic Peters

added a patch for mono to build with newer libc.

* modulesets/gnome-external-deps-2.24.modules,
patches/mono.remove-arg_max-check.patch: added a patch for mono to
build with newer libc.


svn path=/trunk/; revision=2300
parent 8a3f4045
2008-08-22 Frederic Peters <fpeters@0d.be>
* modulesets/gnome-external-deps-2.24.modules,
patches/mono.remove-arg_max-check.patch: added a patch for mono to
build with newer libc.
2008-08-22 Frederic Peters <fpeters@0d.be>
* modulesets/gnome-external-deps-2.24.modules,
......
......@@ -484,6 +484,7 @@
<branch module="mono/mono-1.2.6.tar.bz2" version="1.2.6"
repo="mono.net"
md5sum="391f85b4f962269e044ceac2b5235310" size="18163130">
<patch file="mono.remove-arg_max-check.patch" strip="1"/>
</branch>
<dependencies>
<dep package="libgdiplus"/>
......
diff -Naur mono-1.2.6.orig/mono/io-layer/wapi_glob.c mono-1.2.6/mono/io-layer/wapi_glob.c
--- mono-1.2.6.orig/mono/io-layer/wapi_glob.c 2008-08-22 10:26:32.000000000 +0200
+++ mono-1.2.6/mono/io-layer/wapi_glob.c 2008-08-22 10:28:08.000000000 +0200
@@ -299,11 +299,13 @@
}
pathv[pglob->gl_offs + pglob->gl_pathc] = NULL;
+#if 0
if ((pglob->gl_flags & WAPI_GLOB_LIMIT) &&
newsize + *limitp >= ARG_MAX) {
errno = 0;
return(WAPI_GLOB_NOSPACE);
}
+#endif
return(copy == NULL ? WAPI_GLOB_NOSPACE : 0);
}
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment